# Uses of Enum Class
javafx.scene.input.TouchPoint.State

Packages that use TouchPoint.State
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of TouchPoint.State in javafx.scene.input

Methods in javafx.scene.input that return TouchPoint.State
Modifier and Type
Method
Description
`final TouchPoint.State`
TouchPoint.`getState()`
Gets state of this touch point
`static TouchPoint.State`
TouchPoint.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TouchPoint.State[]`
TouchPoint.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.scene.input with parameters of type TouchPoint.State
Modifier
Constructor
Description
``
`TouchPoint(int id, TouchPoint.State state, double x, double y, double screenX, double screenY, EventTarget target, PickResult pickResult)`
Creates new instance of TouchPoint.